Skip to navigation

Get Port Telemetry

View as Markdown

Returns telemetry details for the specified Port.

The productUid is the unique product ID and is required.

Multiple telemetry types can be passed. For example, GET /v2/product/megaport/5624060e-32gb-4267-a340-c15e91bc0f82/telemetry?type=BITS&type=PACKETS&days=30. When multiple telemetry types are passed, the top level type is set to null in the response. The key information for each telemetry type is in the {data} section of the response.

A minimum of one telemetry type must be provided.

Telemetry details can be returned by number of days in the past, or by passing a date range: ‘from’ and ‘to’. If no days, or to and from are passed, the single most recent measurement is returned, which is approximately every 5 minutes.

The maximum number of days that can be requested is 180 days.

Note: The days parameter is mutually exclusive from to and from. If both days and from and to are passed, an error is returned explaining that the fields are mutually exclusive.

You can return telemetry details in CSV format by specifying the text/csv header parameter.

Path parameters

productUidstringRequired

Query parameters

typestringOptional

Indicates the type of metric. Values include BITS, PACKETS, ERRORS, and OPTICAL. Multiple telemetry types can be passed. (Required - string)

fromstringOptional

Milliseconds since epoch. When not provided, returns the single most recent measurement. You can use a tool such as https://www.epochconverter.com/ for conversion to and from dates. (Optional - string)

tostringOptional

Milliseconds since epoch. When not provided, returns the single most recent measurement. You can use a tool such as https://www.epochconverter.com/ for conversion to and from dates. (Optional - string)

daysstringOptional

The number of days in the past from today for which to return telemetry details. This parameter is mutually exclusive from “to” and “from”. (Optional - string)

Response

Get Port Telemetry - Single Telemetry Type (From, To) / Get Port Telemetry - Single Telemetry Type (Days) / Get Port Telemetry - Multiple Telemetry Types (Days) / Get Port Telemetry - CSV Single Telemetry Type (From, To) / Get Port Telemetry - CSV Single Telemetry Type (Days) / Get Port Telemetry - CSV Multiple Telemetry Types (Days) / Get Port Telemetry - Multiple Telemetry Types (Days) / Get Port Telemetry - Single Telemetry Type (From, To) / Get Port Telemetry - Single Telemetry Type (Days) / Get Port Telemetry - CSV Multiple Telemetry Types (Days) / Get Port Telemetry - CSV Single Telemetry Type (From, To) / Get Port Telemetry - CSV Single Telemetry Type (Days)

datalist of objectsOptional
serviceUidstringOptional
timeFrameobjectOptional
typestring or nullOptional